Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 138)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 139)
@@ -3204,27 +3271,20 @@
 			<xsd:element name="rig" type="witsml:cs_refWellWellboreRig" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
-					<xsd:documentation>A pointer to the rig that contains the device used as a reference datum. The rig may be associated with a wellbore in another well (e.g., pattern
-						drilling using a rig on a track).</xsd:documentation>
+					<xsd:documentation>A pointer to the rig that contains the device used as a reference datum. The rig may be associated with a wellbore in another well (e.g., pattern						drilling using a rig on a track).</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="elevation" type="witsml:wellElevationCoord" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
-					<xsd:documentation>The gravity based elevation coordinate of this reference datum as measured from another datum. Positive moving upward from the elevation datum.
-						An elevation should be given unless this is a vertical reference datum (e.g., sea level).</xsd:documentation>
+					<xsd:documentation>The gravity based elevation coordinate of this reference datum as measured from another datum. Positive moving upward from the elevation datum.						An elevation should be given unless this is a vertical reference datum (e.g., sea level).</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="measuredDepth" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
-					<xsd:documentation>The measured depth coordinate of this reference datum as measured from another datum. The measured depth datum should either be the same as the
-						elevation datum or it should be relatable to the elevation datum through other datums. Positive moving toward the bottomhole from the measured depth datum. This
-						should be given when a local reference is "downhole", such as a kickoff point or ocean bottom template, and the borehole may not be vertical. If a Depth is given
-						then an Elevation should also be given.</xsd:documentation>
+					<xsd:documentation>The measured depth coordinate of this reference datum as measured from another datum. The measured depth datum should either be the same as the						elevation datum or it should be relatable to the elevation datum through other datums. Positive moving toward the bottomhole from the measured depth datum. This						should be given when a local reference is "downhole", such as a kickoff point or ocean bottom template, and the borehole may not be vertical. If a Depth is given						then an Elevation should also be given.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="horizontalLocation" type="witsml:cs_location" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
-					<xsd:documentation>The horizontal location of the point being used as a well datum. This may be used when the point is not directly above or below the well point
-						location. For example, a well being drilled from a platform may have its location at the entrance into the sea floor, while the well datum may be located on the
-						drilling rig. Or the well datum may be a kickoff point, that is not directly under the well surface point.</xsd:documentation>
+					<xsd:documentation>The horizontal location of the point being used as a well datum. This may be used when the point is not directly above or below the well point						location. For example, a well being drilled from a platform may have its location at the entrance into the sea floor, while the well datum may be located on the						drilling rig. Or the well datum may be a kickoff point, that is not directly under the well surface point.</xsd:documentation>
 					<xsd:appinfo>Modified-in-version=1.4.0, By-issue=1.3-48, Change=Added</xsd:appinfo>
 				</xsd:annotation>
@@ -3239,28 +3299,20 @@
 		<xsd:attribute name="defaultMeasuredDepth" type="witsml:logicalBoolean" use="optional">
 			<xsd:annotation>
-				<xsd:documentation>True indicates that this is the default reference datum for measured depth coordinates. False or not given indicates that this is not the default
-					reference datum. Measured depth coordinates that do not specify a datum reference should be assumed to be measured relative to this default reference datum. Only one
-					reference datum may be designated as the default measured depth datum for each well. Values are "true" (or "1") and "false" ( or "0").</xsd:documentation>
+				<xsd:documentation>True indicates that this is the default reference datum for measured depth coordinates. False or not given indicates that this is not the default					reference datum. Measured depth coordinates that do not specify a datum reference should be assumed to be measured relative to this default reference datum. Only one					reference datum may be designated as the default measured depth datum for each well. Values are "true" (or "1") and "false" ( or "0").</xsd:documentation>
 			</xsd:annotation>
 		</xsd:attribute>
 		<xsd:attribute name="defaultVerticalDepth" type="witsml:logicalBoolean" use="optional">
 			<xsd:annotation>
-				<xsd:documentation>True indicates that this is the default reference datum for vertical depth coordinates. False or not given indicates that this is not the default
-					reference datum. Vertical depth coordinates that do not specify a datum reference should be assumed to be measured relative to the default reference datum. Only one
-					reference datum may be designated as the default vertical depth datum for each well. Values are "true" (or "1") and "false" ( or "0").</xsd:documentation>
+				<xsd:documentation>True indicates that this is the default reference datum for vertical depth coordinates. False or not given indicates that this is not the default					reference datum. Vertical depth coordinates that do not specify a datum reference should be assumed to be measured relative to the default reference datum. Only one					reference datum may be designated as the default vertical depth datum for each well. Values are "true" (or "1") and "false" ( or "0").</xsd:documentation>
 			</xsd:annotation>
 		</xsd:attribute>
 		<xsd:attribute name="defaultElevation" type="witsml:logicalBoolean" use="optional">
 			<xsd:annotation>
-				<xsd:documentation>True indicates that this is the default reference datum for elevation coordinates. False or not given indicates that this is not the default
-					reference datum. Elevation coordinates that do not specify a datum reference should be assumed to be measured relative to the default reference datum. Only one
-					reference datum may be designated as the default elevation datum for each well. Values are "true" (or "1") and "false" ( or "0").</xsd:documentation>
+				<xsd:documentation>True indicates that this is the default reference datum for elevation coordinates. False or not given indicates that this is not the default					reference datum. Elevation coordinates that do not specify a datum reference should be assumed to be measured relative to the default reference datum. Only one					reference datum may be designated as the default elevation datum for each well. Values are "true" (or "1") and "false" ( or "0").</xsd:documentation>
 			</xsd:annotation>
 		</xsd:attribute>
 		<xsd:attribute name="uid" type="witsml:uidString" use="optional">
 			<xsd:annotation>
-				<xsd:documentation>The unique identifier of a container element. This attribute is generally required within the context of a WITSML server. There should be no
-					assumption as to the semantic content of this attribute. This should only be used with recurring container types (i.e., maxOccurs greater than one). The value is only
-					required to be unique within the context of the nearest recurring parent element.</xsd:documentation>
+				<xsd:documentation>The unique identifier of a container element. This attribute is generally required within the context of a WITSML server. There should be no					assumption as to the semantic content of this attribute. This should only be used with recurring container types (i.e., maxOccurs greater than one). The value is only					required to be unique within the context of the nearest recurring parent element.</xsd:documentation>
 			</xsd:annotation>
 		</xsd:attribute>
@@ -3315,6 +3367,5 @@
 	<xsd:element name="drillReports" type="witsml:obj_drillReports" substitutionGroup="abs:abstractDataObject">
 		<xsd:annotation>
-			<xsd:documentation>The WITSML API mandated plural root element which allows multiple singular objects to be sent. The plural name is formed by adding an "s" to the
-				singular name.</xsd:documentation>
+			<xsd:documentation>The WITSML API mandated plural root element which allows multiple singular objects to be sent. The plural name is formed by adding an "s" to the				singular name.</xsd:documentation>
 			<xsd:appinfo>Modified-in-version=1.4.0, By-issue=1.3.1-33, Change=Added</xsd:appinfo>
 		</xsd:annotation>
@@ -3340,6 +3391,5 @@
 				<xsd:attribute name="version" type="witsml:schemaVersionString" use="required">
 					<xsd:annotation>
-						<xsd:documentation>Data object schema version. The fourth level must match the version of the schema constraints (enumerations and XML loader files) that are
-							assumed by the document instance.</xsd:documentation>
+						<xsd:documentation>Data object schema version. The fourth level must match the version of the schema constraints (enumerations and XML loader files) that are							assumed by the document instance.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:attribute>
@@ -3380,4 +3430,5 @@
 				<xsd:element name="versionKind" type="witsml:OpsReportVersion" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17817431">
 					<!--PROFILE: Changed minOccurs from 0 to 1 for element versionKind.-->
+
 					<xsd:annotation>
 						<xsd:documentation>The kind of report version. For example, a preliminary version.</xsd:documentation>
@@ -3386,14 +3437,14 @@
 				<xsd:element name="createDate" type="witsml:timestamp" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS328364064">
 					<!--PROFILE: Changed minOccurs from 0 to 1 for element createDate.-->
+
 					<xsd:annotation>
-						<xsd:documentation>The date and time of the report creation. A later timestamp indicates a newer version. In order to update values in a report a full updated
-							copy of the original report should be submitted.</xsd:documentation>
+						<xsd:documentation>The date and time of the report creation. A later timestamp indicates a newer version. In order to update values in a report a full updated							copy of the original report should be submitted.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
 				<xsd:element name="wellAlias" type="witsml:cs_wellAlias" minOccurs="1" maxOccurs="1">
 					<!--PROFILE: Changed minOccurs from 0 to 1 for element wellAlias.-->
+
 					<xsd:annotation>
-						<xsd:documentation>An alternative name of the well (in a naming system). The above well name should be included in the list of aliases so that its origin can be
-							known.</xsd:documentation>
+						<xsd:documentation>An alternative name of the well (in a naming system). The above well name should be included in the list of aliases so that its origin can be							known.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
@@ -3401,16 +3452,15 @@
 					<!--PROFILE: Changed minOccurs from 0 to 2 for element wellboreAlias.-->
 					<!--PROFILE: Changed maxOccurs from unbounded to 2 for element wellboreAlias.-->
+
 					<xsd:annotation>
-						<xsd:documentation>An alternative name of the wellbore (in a naming system). The above well name should be included in the list of aliases so that its origin can
-							be known.</xsd:documentation>
+						<xsd:documentation>An alternative name of the wellbore (in a naming system). The above well name should be included in the list of aliases so that its origin can							be known.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
 				<xsd:element name="wellDatum" type="witsml:cs_wellDatum" minOccurs="0" maxOccurs="unbounded">
 					<xsd:annotation>
-						<xsd:documentation>Defines a vertical datum used for measured depths, vertical depths or elevations. This must be specified if one of the aforementioned
-							coordinate values are included in the report. This only applies to this report and is generally a copy of the same information from the well
-							object.</xsd:documentation>
+						<xsd:documentation>Defines a vertical datum used for measured depths, vertical depths or elevations. This must be specified if one of the aforementioned							coordinate values are included in the report. This only applies to this report and is generally a copy of the same information from the well							object.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
+				<!-- Added 22feb2011 -->
 				<xsd:element name="header" type="witsml:reportHeader" minOccurs="0" maxOccurs="1">
 					<xsd:annotation>
@@ -3418,17 +3468,18 @@
 					</xsd:annotation>
 				</xsd:element>
+				<!-- END Added 22feb2011 -->
 				<xsd:element name="wellCRS" type="witsml:cs_wellCRS" minOccurs="0" maxOccurs="unbounded">
 					<xsd:annotation>
-						<xsd:documentation>Defines a coordinate reference system used by coordinates within this report. This must be specified if coordinate values are included in the
-							report (i.e., in a survey station location). This only applies to this report and is generally a copy of the same information from the well
-							object.</xsd:documentation>
+						<xsd:documentation>Defines a coordinate reference system used by coordinates within this report. This must be specified if coordinate values are included in the							report (i.e., in a survey station location). This only applies to this report and is generally a copy of the same information from the well							object.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="wellboreInfo" type="witsml:cs_drillReportWellboreInfo" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17799789">
+				<xsd:element name="wellboreInfo" type="witsml:cs_drillReportWellboreInfo" minOccurs="0" maxOccurs="1"
+					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17799789">
 					<xsd:annotation>
 						<xsd:documentation>General information about a wellbore. The well is represented by the original wellbore.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="statusInfo" type="witsml:cs_drillReportStatusInfo" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17799868">
+				<xsd:element name="statusInfo" type="witsml:cs_drillReportStatusInfo" minOccurs="0" maxOccurs="1"
+					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17799868">
 					<!--PROFILE: Changed maxOccurs from unbounded to 1 for element statusInfo.-->
 					<xsd:annotation>
@@ -3441,4 +3492,5 @@
 					</xsd:annotation>
 				</xsd:element>
+				<!-- Added 22feb2011 -->
 				<xsd:element name="casing_liner_tubing" type="witsml:cs_stimTubular" minOccurs="0" maxOccurs="unbounded">
 					<xsd:annotation>
@@ -3448,7 +3500,8 @@
 				<xsd:element name="cementStage" type="witsml:cs_cementStage" minOccurs="0" maxOccurs="unbounded">
 					<xsd:annotation>
-						<xsd:documentation>Information about a bit run.</xsd:documentation>
+						<xsd:documentation>Information about a cement job.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
+				<!-- END Added 22feb2011 -->
 				<xsd:element name="fluid" type="witsml:cs_fluid" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17839459">
 					<xsd:annotation>
@@ -3456,18 +3509,20 @@
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="porePressure" type="witsml:cs_drillReportPorePressure" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17799947">
+				<xsd:element name="porePressure" type="witsml:cs_drillReportPorePressure" minOccurs="0" maxOccurs="unbounded"
+					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17799947">
 					<xsd:annotation>
 						<xsd:documentation>Information about the pore pressure.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="extendedReport" type="witsml:timestampedCommentString" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17687235">
+				<xsd:element name="extendedReport" type="witsml:timestampedCommentString" minOccurs="0" maxOccurs="1"
+					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17687235">
 					<!--PROFILE: Changed type from witsml:timestampedDescriptionString to witsml:timestampedCommentString for element extendedReport.-->
+
 					<xsd:annotation>
-						<xsd:documentation>A description of what happened from the end of report to an alternative time before the end of the next report. This is intended to allow a
-							preliminary description of what happened from the end of the report (commonly midnight) until the time of submission of a preliminary report (commonly 6:00 in
-							the morning).</xsd:documentation>
+						<xsd:documentation>A description of what happened from the end of report to an alternative time before the end of the next report. This is intended to allow a							preliminary description of what happened from the end of the report (commonly midnight) until the time of submission of a preliminary report (commonly 6:00 in							the morning).</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="surveyStation" type="witsml:cs_drillReportSurveyStation" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17854338">
+				<xsd:element name="surveyStation" type="witsml:cs_drillReportSurveyStation" minOccurs="0" maxOccurs="unbounded"
+					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17854338">
 					<xsd:annotation>
 						<xsd:documentation>A survey station recorded during the report interval.</xsd:documentation>
@@ -3479,50 +3534,60 @@
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="logInfo" type="witsml:cs_drillReportLogInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17836969">
+				<xsd:element name="logInfo" type="witsml:cs_drillReportLogInfo" minOccurs="0" maxOccurs="unbounded"
+					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17836969">
 					<xsd:annotation>
 						<xsd:documentation>General information about a log.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="coreInfo" type="witsml:cs_drillReportCoreInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17833062">
+				<xsd:element name="coreInfo" type="witsml:cs_drillReportCoreInfo" minOccurs="0" maxOccurs="unbounded"
+					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17833062">
 					<xsd:annotation>
 						<xsd:documentation>General information about a core.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="wellTestInfo" type="witsml:cs_drillReportWellTestInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17881131">
+				<xsd:element name="wellTestInfo" type="witsml:cs_drillReportWellTestInfo" minOccurs="0" maxOccurs="unbounded"
+					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17881131">
 					<xsd:annotation>
 						<xsd:documentation>General information about a production well test.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="formTestInfo" type="witsml:cs_drillReportFormTestInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17856636">
+				<xsd:element name="formTestInfo" type="witsml:cs_drillReportFormTestInfo" minOccurs="0" maxOccurs="unbounded"
+					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17856636">
 					<xsd:annotation>
 						<xsd:documentation>General information about a wireline formation test.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="lithShowInfo" type="witsml:cs_drillReportLithShowInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17858011">
+				<xsd:element name="lithShowInfo" type="witsml:cs_drillReportLithShowInfo" minOccurs="0" maxOccurs="unbounded"
+					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17858011">
 					<xsd:annotation>
 						<xsd:documentation>General information about the lithology and shows in an interval.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="equipFailureInfo" type="witsml:cs_drillReportEquipFailureInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17834522">
+				<xsd:element name="equipFailureInfo" type="witsml:cs_drillReportEquipFailureInfo" minOccurs="0"
+					 maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17834522">
 					<xsd:annotation>
 						<xsd:documentation>General information about equipment failure.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="controlIncidentInfo" type="witsml:cs_drillReportControlIncidentInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17887880">
+				<xsd:element name="controlIncidentInfo" type="witsml:cs_drillReportControlIncidentInfo" minOccurs="0"
+					 maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17887880">
 					<xsd:annotation>
 						<xsd:documentation>General information about a well control incident.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="stratInfo" type="witsml:cs_drillReportStratInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS373305601">
+				<xsd:element name="stratInfo" type="witsml:cs_drillReportStratInfo" minOccurs="0" maxOccurs="unbounded"
+					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS373305601">
 					<xsd:annotation>
 						<xsd:documentation>General information about a well control incident.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="perfInfo" type="witsml:cs_drillReportPerfInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17855316">
+				<xsd:element name="perfInfo" type="witsml:cs_drillReportPerfInfo" minOccurs="0" maxOccurs="unbounded"
+					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17855316">
 					<xsd:annotation>
 						<xsd:documentation>General information about a well control incident.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="gasReadingInfo" type="witsml:cs_drillReportGasReadingInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17879652">
+				<xsd:element name="gasReadingInfo" type="witsml:cs_drillReportGasReadingInfo" minOccurs="0" maxOccurs="unbounded"
+					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17879652">
 					<xsd:annotation>
 						<xsd:documentation>General information about a gas reading.</xsd:documentation>
@@ -3545,7 +3610,5 @@
 		<xsd:attribute name="uid" type="witsml:uidString" use="optional">
 			<xsd:annotation>
-				<xsd:documentation>The unique identifier of an object. This should not be used for child nodes within an object. For an independent object, the value may be globally
-					unique. For a dependent object, the value must be unique (for the same object type) within the context of the parent object. There should be no assumption as to the
-					semantic content of this attribute. The purpose of this type is to facilitate modifying the optionality in derived schemas.</xsd:documentation>
+				<xsd:documentation>The unique identifier of an object. This should not be used for child nodes within an object. For an independent object, the value may be globally					unique. For a dependent object, the value must be unique (for the same object type) within the context of the parent object. There should be no assumption as to the					semantic content of this attribute. The purpose of this type is to facilitate modifying the optionality in derived schemas.</xsd:documentation>
 			</xsd:annotation>
 		</xsd:attribute>
@@ -3610,6 +3673,5 @@
 	<xsd:simpleType name="abstractBoolean">
 		<xsd:annotation>
-			<xsd:documentation>This type disallows an "empty" boolean value. This type should not be used directly except to derive another type. All boolean types should be derived
-				from this type rather than using xsd:boolen.</xsd:documentation>
+			<xsd:documentation>This type disallows an "empty" boolean value. This type should not be used directly except to derive another type. All boolean types should be derived				from this type rather than using xsd:boolen.</xsd:documentation>
 		</xsd:annotation>
 		<xsd:restriction base="xsd:boolean">
@@ -3619,6 +3681,5 @@
 	<xsd:simpleType name="abstractDateTime">
 		<xsd:annotation>
-			<xsd:documentation>This type disallows an "empty" dateTime value. This type should not be used directly except to derive another type. All dateTime types should be
-				derived from this type rather than using xsd:dateTime.</xsd:documentation>
+			<xsd:documentation>This type disallows an "empty" dateTime value. This type should not be used directly except to derive another type. All dateTime types should be				derived from this type rather than using xsd:dateTime.</xsd:documentation>
 		</xsd:annotation>
 		<xsd:restriction base="xsd:dateTime">
@@ -3628,6 +3689,5 @@
 	<xsd:simpleType name="abstractDate">
 		<xsd:annotation>
-			<xsd:documentation>This type disallows an "empty" date value. This type should not be used directly except to derive another type. All dateTime types should be derived
-				from this type rather than using xsd:dateTime.</xsd:documentation>
+			<xsd:documentation>This type disallows an "empty" date value. This type should not be used directly except to derive another type. All dateTime types should be derived				from this type rather than using xsd:dateTime.</xsd:documentation>
 		</xsd:annotation>
 		<xsd:restriction base="xsd:date">
@@ -3654,18 +3714,15 @@
 	<xsd:simpleType name="abstractString">
 		<xsd:annotation>
-			<xsd:documentation>The intended abstract supertype of all strings. This abstract type allows the control over whitespace for all strings to be defined at a high level.
-				This type should not be used directly except to derive another type.</xsd:documentation>
+			<xsd:documentation>The intended abstract supertype of all strings. This abstract type allows the control over whitespace for all strings to be defined at a high level.				This type should not be used directly except to derive another type.</xsd:documentation>
 		</xsd:annotation>
 		<xsd:restriction base="xsd:string">
 			<xsd:whiteSpace value="collapse">
 				<xsd:annotation>
-					<xsd:documentation>Replace tab, line feed and carriage return with a space, collapse contiguous sequences of spaces to a single space and then remove leading and
-						trailing spaces.</xsd:documentation>
+					<xsd:documentation>Replace tab, line feed and carriage return with a space, collapse contiguous sequences of spaces to a single space and then remove leading and						trailing spaces.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:whiteSpace>
 			<xsd:minLength value="1">
 				<xsd:annotation>
-					<xsd:documentation>The empty string is not allowed. This constraint conbined with the whiteSpace collapse constraint means that a blank value is not
-						allowed.</xsd:documentation>
+					<xsd:documentation>The empty string is not allowed. This constraint conbined with the whiteSpace collapse constraint means that a blank value is not						allowed.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:minLength>
@@ -3674,6 +3731,5 @@
 	<xsd:complexType name="abstractMeasure" abstract="true">
 		<xsd:annotation>
-			<xsd:documentation>The intended abstract supertype of all quantities that have a value with a unit of measure. The unit of measure is in the uom attribute of the
-				subtypes. This type allows all quantities to be profiled to be a 'float' instead of a 'double'.</xsd:documentation>
+			<xsd:documentation>The intended abstract supertype of all quantities that have a value with a unit of measure. The unit of measure is in the uom attribute of the				subtypes. This type allows all quantities to be profiled to be a 'float' instead of a 'double'.</xsd:documentation>
 		</xsd:annotation>
 		<xsd:simpleContent>
@@ -3688,6 +3744,5 @@
 			<xsd:maxLength value="4000">
 				<xsd:annotation>
-					<xsd:documentation>This value should be the smallest "maximum size of a variable length character type" in commonly used DBMSs. This is the maximum size of a
-						VARCHAR2 in Oracle 8.</xsd:documentation>
+					<xsd:documentation>This value should be the smallest "maximum size of a variable length character type" in commonly used DBMSs. This is the maximum size of a						VARCHAR2 in Oracle 8.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:maxLength>
@@ -3710,7 +3765,5 @@
 	<xsd:simpleType name="abstractNameString">
 		<xsd:annotation>
-			<xsd:documentation>The intended abstract supertype of all user assigned human recognizable contextual name types. There should be no assumption that (interoperable)
-				semantic information will be extracted from the name by a third party. This type of value is generally not guaranteed to be unique and is not a candidate to be replaced
-				by an enumeration.</xsd:documentation>
+			<xsd:documentation>The intended abstract supertype of all user assigned human recognizable contextual name types. There should be no assumption that (interoperable)				semantic information will be extracted from the name by a third party. This type of value is generally not guaranteed to be unique and is not a candidate to be replaced				by an enumeration.</xsd:documentation>
 		</xsd:annotation>
 		<xsd:restriction base="witsml:abstractString">
